#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	mt-st
Version		:	1.7
Release		:	17.0.10.rel%{?dist}
Summary		:	 Tool for controlling tape drives

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/iustin/mt-st/releases/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	bash-completion
BuildRequires	:	gcc
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
The mt-st package contains the mt and st tape
drive management programs.
Mt (for magnetic tape drives) and st (for SCSI
tape devices) can control rewinding, ejecting,
skipping files and blocks and more.
 
Install mt-st if you need a tool to  manage tape drives.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md stinit.def.examples
%{_bindir}/mt
%{_sbindir}/stinit
%{_mandir}/man1/mt.1.gz
%{_mandir}/man8/stinit.8.gz
%{_datadir}/bash-completion/completions/%{name}

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

COMPLETIONDIR=%{buildroot}$(pkg-config --variable=completionsdir bash-completion)

%{__make}					\
	EXEC_PREFIX=%{_prefix}			\
	 COMPLETIONINSTALLDIR=$COMPLETIONDIR	\
	DESTDIR=%{buildroot}			\
	install

#-----------------------------------------------------------------------------
%changelog
